### Method

# WebKit WebsiteDataManager clear_finish

#### Declaration [src]

    gboolean
    webkit_website_data_manager_clear_finish (
      WebKitWebsiteDataManager* manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with `webkit_website_data_manager_clear()`

Available since: | 2.16

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if website data was successfully cleared, or `FALSE` otherwise.